public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2016-07-20 12:03 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2016-07-20 12:03 UTC (permalink / raw
  To: gentoo-commits

commit:     d701508edf7791636c1f320851320ba9f6084cf5
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 20 11:54:34 2016 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Wed Jul 20 11:54:34 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d701508e

gnustep-base/gnustep-back-art: version bump

Package-Manager: portage-2.3.0

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.25.0.ebuild                 | 84 ++++++++++++++++++++++
 2 files changed, 85 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index fae3e0e..d13d3fc 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -2,3 +2,4 @@ DIST gnustep-back-0.22.0.tar.gz 935034 SHA256 b9bf26346737d87160af669c3073b4eb51
 DIST gnustep-back-0.23.0.tar.gz 942380 SHA256 7e897849bf0359d2401a426c75bda89117b5506910892b4eb15262edfb26bbdc SHA512 8789e738b18e4eb1996024c449c4550a392404eb71693569a4b561df22652840a06ca4681b3ec7d47ff3d3d36755a065e956de9203f380c0cc60c76bb412b99c WHIRLPOOL 7b46d1a066889f40c00aa949b65d113027b6e0689349d686db83fd68a7c3a25d03a15c6b04f6c2b4d04ab7b61454bba428d2a3cbdea87541898ce68ec41e7017
 DIST gnustep-back-0.24.0.tar.gz 966735 SHA256 5fc2ed70076d1cd9d51bf3ad85c71a42bfd29e3fd7c22421cc1de739695c3d62 SHA512 d27ae170ad23ee18a5471f41ee67bcde6ee4ba3e7fa522dac72a1f7fdb363d64a15432e6abbf972089483b356959d060df91d797ab820a01ca4bd85af700bf57 WHIRLPOOL ef713f8ef84db12a75a2c1d1a56666c64edbf11ea302b1ed1f55a556eaecdbad74853ef736e665c5a2849210d7c273277c9a3d47ef5f7ca4a7544525367589e9
 DIST gnustep-back-0.24.1.tar.gz 966529 SHA256 e255628e0f9be9b10359bb1be6690c50a0929bc383e6996966076492af02457e SHA512 7de422b6743d9f8c20bdc1a9a1dda06cbd7bde31eca87a41a457640ec18ca2640797071def5c111383de379537350e57917ca10a156744c7b9db421cdb2db313 WHIRLPOOL 28bd8a4c4e5ceffb06260f5ef58d5500a167825fce876bb0d0465db7926492685f45ffdb4b2d8270553acb513b866592fc333a775ca37dad7021866dd72419ea
+DIST gnustep-back-0.25.0.tar.gz 974762 SHA256 4276e30e157fb450cc5144501e680e8142b484e6595e5e4f83d14225c60afa91 SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770 WHIRLPOOL 2dc49763ecf30e695ae13f8197b140c7d4b9ce17b19364f04bbd0ed0beb626d50943210ad4f1a5baad8ae7957c6c32e5193eaf40d532aabd3f5f455b89776574

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
new file mode 100644
index 0000000..422e4da
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	opengl? ( virtual/opengl virtual/glu )
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	>=media-libs/freetype-2.1.9
+
+	>=media-libs/libart_lgpl-2.3
+	>=gnustep-base/mknfonts-0.5-r1
+	media-fonts/dejavu
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2017-01-13 15:13 Agostino Sarubbo
  0 siblings, 0 replies; 26+ messages in thread
From: Agostino Sarubbo @ 2017-01-13 15:13 UTC (permalink / raw
  To: gentoo-commits

commit:     a0b12da328db14f1c2445467bc3f4d6e021eee88
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 13 15:13:20 2017 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Jan 13 15:13:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a0b12da3

gnustep-base/gnustep-back-art: amd64 stable wrt bug #579232

Package-Manager: portage-2.3.0
RepoMan-Options: --include-arches="amd64"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
index 422e4da..86359c4 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
@@ -11,7 +11,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2017-03-20 13:40 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2017-03-20 13:40 UTC (permalink / raw
  To: gentoo-commits

commit:     419e1d48868e2efc3a5745a06ce1c966479a21c3
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 20 10:59:27 2017 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Mar 20 13:40:24 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=419e1d48

gnustep-base/gnustep-back-art: drop old

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 gnustep-base/gnustep-back-art/Manifest             |  4 --
 .../gnustep-back-art-0.22.0.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.23.0.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.24.0.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.24.1.ebuild                 | 83 ----------------------
 5 files changed, 336 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index d13d3fc5fb7..06a9953fc9e 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,5 +1 @@
-DIST gnustep-back-0.22.0.tar.gz 935034 SHA256 b9bf26346737d87160af669c3073b4eb511c743056af90aedb631e1537513608 SHA512 849078bd6c93df7177569d8d4d9b6ecf02e5aac6b60e51c8ae60f08bf45b30fe5abcc2c519d80c593c051d7eead31c219d32d24d95e2db8021fadea638d98478 WHIRLPOOL b21ebccb1afe84a144896312a6f7fc8403da2b39b92952ac9e5f1de02b7dfa218de0289c9333d4f9a21746739ac46ee22d1139d6df98e6d3c09063667d9ee6d6
-DIST gnustep-back-0.23.0.tar.gz 942380 SHA256 7e897849bf0359d2401a426c75bda89117b5506910892b4eb15262edfb26bbdc SHA512 8789e738b18e4eb1996024c449c4550a392404eb71693569a4b561df22652840a06ca4681b3ec7d47ff3d3d36755a065e956de9203f380c0cc60c76bb412b99c WHIRLPOOL 7b46d1a066889f40c00aa949b65d113027b6e0689349d686db83fd68a7c3a25d03a15c6b04f6c2b4d04ab7b61454bba428d2a3cbdea87541898ce68ec41e7017
-DIST gnustep-back-0.24.0.tar.gz 966735 SHA256 5fc2ed70076d1cd9d51bf3ad85c71a42bfd29e3fd7c22421cc1de739695c3d62 SHA512 d27ae170ad23ee18a5471f41ee67bcde6ee4ba3e7fa522dac72a1f7fdb363d64a15432e6abbf972089483b356959d060df91d797ab820a01ca4bd85af700bf57 WHIRLPOOL ef713f8ef84db12a75a2c1d1a56666c64edbf11ea302b1ed1f55a556eaecdbad74853ef736e665c5a2849210d7c273277c9a3d47ef5f7ca4a7544525367589e9
-DIST gnustep-back-0.24.1.tar.gz 966529 SHA256 e255628e0f9be9b10359bb1be6690c50a0929bc383e6996966076492af02457e SHA512 7de422b6743d9f8c20bdc1a9a1dda06cbd7bde31eca87a41a457640ec18ca2640797071def5c111383de379537350e57917ca10a156744c7b9db421cdb2db313 WHIRLPOOL 28bd8a4c4e5ceffb06260f5ef58d5500a167825fce876bb0d0465db7926492685f45ffdb4b2d8270553acb513b866592fc333a775ca37dad7021866dd72419ea
 DIST gnustep-back-0.25.0.tar.gz 974762 SHA256 4276e30e157fb450cc5144501e680e8142b484e6595e5e4f83d14225c60afa91 SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770 WHIRLPOOL 2dc49763ecf30e695ae13f8197b140c7d4b9ce17b19364f04bbd0ed0beb626d50943210ad4f1a5baad8ae7957c6c32e5193eaf40d532aabd3f5f455b89776574

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.22.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.22.0.ebuild
deleted file mode 100644
index 6b66717af11..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.22.0.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=4
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.23.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.23.0.ebuild
deleted file mode 100644
index 4cab8d75b30..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.23.0.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.0.ebuild
deleted file mode 100644
index c7c18672434..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.0.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.1.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.1.ebuild
deleted file mode 100644
index e586d792d07..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.24.1.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2017-04-24 14:07 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2017-04-24 14:07 UTC (permalink / raw
  To: gentoo-commits

commit:     317afcf7b504e2d02e31dc8aa33789172008a5fc
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 24 13:53:09 2017 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Apr 24 14:06:09 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=317afcf7

gnustep-base/gnustep-back-art: 0.25.1 bump

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.25.1.ebuild                 | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 06a9953fc9e..9c9248d855b 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1 +1,2 @@
 DIST gnustep-back-0.25.0.tar.gz 974762 SHA256 4276e30e157fb450cc5144501e680e8142b484e6595e5e4f83d14225c60afa91 SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770 WHIRLPOOL 2dc49763ecf30e695ae13f8197b140c7d4b9ce17b19364f04bbd0ed0beb626d50943210ad4f1a5baad8ae7957c6c32e5193eaf40d532aabd3f5f455b89776574
+DIST gnustep-back-0.25.1.tar.gz 974775 SHA256 ea563b7d6e4bd8b13856306c94bfe06b0909b71e62ab70dccf1c208f4889e2bf SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656 WHIRLPOOL e4eabe3a6982f58672a17589fdf03db350eba7a0748ae617cf2fbbffa3a82f2daf7768141fdfee31abc5b102fd901be54545cd9dbc7d970c5b33a7e10c7c2f63

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
new file mode 100644
index 00000000000..7e99c2440f4
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	opengl? ( virtual/opengl virtual/glu )
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	>=media-libs/freetype-2.1.9
+
+	>=media-libs/libart_lgpl-2.3
+	>=gnustep-base/mknfonts-0.5-r1
+	media-fonts/dejavu
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2018-01-09 16:27 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2018-01-09 16:27 UTC (permalink / raw
  To: gentoo-commits

commit:     a5213807a043f5bc39c59265d9bac8edc652f18e
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Tue Jan  9 16:16:04 2018 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Jan  9 16:27:12 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5213807

gnustep-base/gnustep-back-art: 0.26.2 bump

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.26.2.ebuild                 | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 182e1ceb0e3..b4f97fa95c1 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,2 +1,3 @@
 DIST gnustep-back-0.25.0.tar.gz 974762 BLAKE2B ef3ef5bf822b2cd96ac8f6256708c275193db9ba2bfe3d669c3a50e1f4ff9bfb1560a0a2ee1c38e58a13e0e3e081548102dd83a06bdf880fe857046d3d7940ef SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770
 DIST gnustep-back-0.25.1.tar.gz 974775 BLAKE2B 8050c20f405da340a0f42655ca2b0f43761d60b8ee6eab7ce4bbd5f323f7ab8b59506b0b8c5c057eb8303c0b7efe4d80ab428ca100b319a9b927d74bdb37ddd4 SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656
+DIST gnustep-back-0.26.2.tar.gz 969473 BLAKE2B a16b8663492ca1d59ac1267b3e5421cc14672251c273624e4bcc5e587783968baebfcca020c3f0ccaf73de9c0c43f872a303be4c1ef83c78e1bf102d47f2feea SHA512 99912430425e36b386b3f7bb3a49989c92edd20e3166292e6697c532a7f8ae17682c80bb39fa6177c67bb75bcd9befc44f53874eb5ca1406f51af44b15c9685e

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
new file mode 100644
index 00000000000..d178338f8d1
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	opengl? ( virtual/opengl virtual/glu )
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	>=media-libs/freetype-2.1.9
+
+	>=media-libs/libart_lgpl-2.3
+	>=gnustep-base/mknfonts-0.5-r1
+	media-fonts/dejavu
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2019-01-14 16:12 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2019-01-14 16:12 UTC (permalink / raw
  To: gentoo-commits

commit:     339a39012d0393d7056c625886eae3203d637649
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 14 16:02:10 2019 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Jan 14 16:12:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=339a3901

gnustep-base/gnustep-back-art: 0.27.0 bump

Package-Manager: Portage-2.3.55, Repoman-2.3.12
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.27.0.ebuild                 | 83 ++++++++++++++++++++++
 2 files changed, 84 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index b4f97fa95c1..b3eafd3986d 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,3 +1,4 @@
 DIST gnustep-back-0.25.0.tar.gz 974762 BLAKE2B ef3ef5bf822b2cd96ac8f6256708c275193db9ba2bfe3d669c3a50e1f4ff9bfb1560a0a2ee1c38e58a13e0e3e081548102dd83a06bdf880fe857046d3d7940ef SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770
 DIST gnustep-back-0.25.1.tar.gz 974775 BLAKE2B 8050c20f405da340a0f42655ca2b0f43761d60b8ee6eab7ce4bbd5f323f7ab8b59506b0b8c5c057eb8303c0b7efe4d80ab428ca100b319a9b927d74bdb37ddd4 SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656
 DIST gnustep-back-0.26.2.tar.gz 969473 BLAKE2B a16b8663492ca1d59ac1267b3e5421cc14672251c273624e4bcc5e587783968baebfcca020c3f0ccaf73de9c0c43f872a303be4c1ef83c78e1bf102d47f2feea SHA512 99912430425e36b386b3f7bb3a49989c92edd20e3166292e6697c532a7f8ae17682c80bb39fa6177c67bb75bcd9befc44f53874eb5ca1406f51af44b15c9685e
+DIST gnustep-back-0.27.0.tar.gz 972099 BLAKE2B ca3090d743a3bcc0995e7b2bfbb39dd72aac6d3b8b62036a17860306728e58d432d3075918b7d49e7e1930974e5a5ae5e0c2ae3c2c7ebb383e859106cfc1c072 SHA512 0823a50b6719af1a48139fb7d85eb70d7c1ae367d0c0d00007568131b56372063437ae7b464f0314fc1e7f8d25b87e87b58bcc914c27d2d000ff31deea948ab3

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
new file mode 100644
index 00000000000..cc8e689b3ce
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	opengl? ( virtual/opengl virtual/glu )
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	>=media-libs/freetype-2.1.9
+
+	>=media-libs/libart_lgpl-2.3
+	>=gnustep-base/mknfonts-0.5-r1
+	media-fonts/dejavu
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2020-05-09 14:25 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2020-05-09 14:25 UTC (permalink / raw
  To: gentoo-commits

commit:     32b56d29a8aa241c31c4c50f5b3bab0b19b9dc6f
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sat May  9 13:19:28 2020 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sat May  9 14:24:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32b56d29

gnustep-base/gnustep-back-art: 0.28.0 bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.28.0.ebuild                 | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index b3eafd3986d..f534eb806dc 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -2,3 +2,4 @@ DIST gnustep-back-0.25.0.tar.gz 974762 BLAKE2B ef3ef5bf822b2cd96ac8f6256708c2751
 DIST gnustep-back-0.25.1.tar.gz 974775 BLAKE2B 8050c20f405da340a0f42655ca2b0f43761d60b8ee6eab7ce4bbd5f323f7ab8b59506b0b8c5c057eb8303c0b7efe4d80ab428ca100b319a9b927d74bdb37ddd4 SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656
 DIST gnustep-back-0.26.2.tar.gz 969473 BLAKE2B a16b8663492ca1d59ac1267b3e5421cc14672251c273624e4bcc5e587783968baebfcca020c3f0ccaf73de9c0c43f872a303be4c1ef83c78e1bf102d47f2feea SHA512 99912430425e36b386b3f7bb3a49989c92edd20e3166292e6697c532a7f8ae17682c80bb39fa6177c67bb75bcd9befc44f53874eb5ca1406f51af44b15c9685e
 DIST gnustep-back-0.27.0.tar.gz 972099 BLAKE2B ca3090d743a3bcc0995e7b2bfbb39dd72aac6d3b8b62036a17860306728e58d432d3075918b7d49e7e1930974e5a5ae5e0c2ae3c2c7ebb383e859106cfc1c072 SHA512 0823a50b6719af1a48139fb7d85eb70d7c1ae367d0c0d00007568131b56372063437ae7b464f0314fc1e7f8d25b87e87b58bcc914c27d2d000ff31deea948ab3
+DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
new file mode 100644
index 00000000000..8f304a0a86d
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	>=gnustep-base/mknfonts-0.5-r1
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	media-fonts/dejavu
+	>=media-libs/freetype-2.1.9
+	>=media-libs/libart_lgpl-2.3
+	opengl? ( virtual/opengl virtual/glu )
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2020-07-21 23:15 Kent Fredric
  0 siblings, 0 replies; 26+ messages in thread
From: Kent Fredric @ 2020-07-21 23:15 UTC (permalink / raw
  To: gentoo-commits

commit:     36d5a44eef2ebec8faf4e58e651b88837dc01155
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 21 23:09:00 2020 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Tue Jul 21 23:14:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=36d5a44e

gnustep-base/gnustep-back-art: Drop x86-solaris re bug #690140

Depends:
- media-fonts/dejavu
 - dev-perl/Font-TTF

Bug: https://bugs.gentoo.org/690140
Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Kent Fredric <kentnl <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild | 4 ++--
 gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild | 4 ++--
 gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild | 4 ++--
 gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild | 4 ++--
 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 2 +-
 5 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
index 40454b1087e..9d167f16d27 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
index 7e99c2440f4..419b5e53ac2 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
index d178338f8d1..419b5e53ac2 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
index cc8e689b3ce..419b5e53ac2 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index 8f304a0a86d..fc77134c552 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-01-02 21:10 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2021-01-02 21:10 UTC (permalink / raw
  To: gentoo-commits

commit:     19a3c89207423b3ea1b5dc4e07e382f06e20cd92
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 21:10:02 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 21:10:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=19a3c892

gnustep-base/gnustep-back-art: Stabilize 0.28.0 amd64, #761070

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index fc77134c552..33657d3cafe 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-01-02 22:45 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2021-01-02 22:45 UTC (permalink / raw
  To: gentoo-commits

commit:     c4e99a690c2038129bce07c98875be1bf3de0548
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 22:45:32 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 22:45:32 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4e99a69

gnustep-base/gnustep-back-art: Stabilize 0.28.0 ppc, #761070

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index 33657d3cafe..10843457f5c 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-01-02 22:49 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2021-01-02 22:49 UTC (permalink / raw
  To: gentoo-commits

commit:     a752becb7f913e46458c1b5e2b9a53b9cca802b4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 22:48:59 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 22:48:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a752becb

gnustep-base/gnustep-back-art: Stabilize 0.28.0 sparc, #761070

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index 10843457f5c..d4dd54941e6 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-01-04  3:34 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2021-01-04  3:34 UTC (permalink / raw
  To: gentoo-commits

commit:     eb31e5d4c94e18989b1483d7026d189761cf57ba
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 03:34:43 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 03:34:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb31e5d4

gnustep-base/gnustep-back-art: Stabilize 0.28.0 x86, #761070

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index d4dd54941e6..073395bd38f 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -10,7 +10,7 @@ SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-01-04 12:53 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2021-01-04 12:53 UTC (permalink / raw
  To: gentoo-commits

commit:     6270079a6b61955c1fcf5dfd27f18952ba5e74e3
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  4 12:48:24 2021 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Mon Jan  4 12:52:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6270079a

gnustep-base/gnustep-back-art: drop old

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  4 --
 .../gnustep-back-art-0.25.0.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.25.1.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.26.2.ebuild                 | 83 ----------------------
 .../gnustep-back-art-0.27.0.ebuild                 | 83 ----------------------
 5 files changed, 336 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index f534eb806dc..2a104cbde5f 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,5 +1 @@
-DIST gnustep-back-0.25.0.tar.gz 974762 BLAKE2B ef3ef5bf822b2cd96ac8f6256708c275193db9ba2bfe3d669c3a50e1f4ff9bfb1560a0a2ee1c38e58a13e0e3e081548102dd83a06bdf880fe857046d3d7940ef SHA512 38a098e7fe207c902428c05f01ebf0336b33fb9213368038c2513236255723b642fd9576524ad119ee9511c708be21c155eeaaf297e05c6ebdab8e59efe05770
-DIST gnustep-back-0.25.1.tar.gz 974775 BLAKE2B 8050c20f405da340a0f42655ca2b0f43761d60b8ee6eab7ce4bbd5f323f7ab8b59506b0b8c5c057eb8303c0b7efe4d80ab428ca100b319a9b927d74bdb37ddd4 SHA512 0515672c38265499dc3f0be5127053bc7b2478130cac69cb70c29e5887832472dfdcf90b756ab0926ba5967c0be93e041a1f820dc58f973e41b648e08a569656
-DIST gnustep-back-0.26.2.tar.gz 969473 BLAKE2B a16b8663492ca1d59ac1267b3e5421cc14672251c273624e4bcc5e587783968baebfcca020c3f0ccaf73de9c0c43f872a303be4c1ef83c78e1bf102d47f2feea SHA512 99912430425e36b386b3f7bb3a49989c92edd20e3166292e6697c532a7f8ae17682c80bb39fa6177c67bb75bcd9befc44f53874eb5ca1406f51af44b15c9685e
-DIST gnustep-back-0.27.0.tar.gz 972099 BLAKE2B ca3090d743a3bcc0995e7b2bfbb39dd72aac6d3b8b62036a17860306728e58d432d3075918b7d49e7e1930974e5a5ae5e0c2ae3c2c7ebb383e859106cfc1c072 SHA512 0823a50b6719af1a48139fb7d85eb70d7c1ae367d0c0d00007568131b56372063437ae7b464f0314fc1e7f8d25b87e87b58bcc914c27d2d000ff31deea948ab3
 DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
deleted file mode 100644
index 9d167f16d27..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.0.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
deleted file mode 100644
index 419b5e53ac2..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.25.1.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
deleted file mode 100644
index 419b5e53ac2..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.26.2.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
deleted file mode 100644
index 419b5e53ac2..00000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.27.0.ebuild
+++ /dev/null
@@ -1,83 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	opengl? ( virtual/opengl virtual/glu )
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	>=media-libs/freetype-2.1.9
-
-	>=media-libs/libart_lgpl-2.3
-	>=gnustep-base/mknfonts-0.5-r1
-	media-fonts/dejavu
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2021-06-03 21:22 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2021-06-03 21:22 UTC (permalink / raw
  To: gentoo-commits

commit:     76cc20c62ad3f440e5b6afa09bc5699aac162ade
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Thu Jun  3 21:03:25 2021 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Jun  3 21:20:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=76cc20c6

gnustep-base/gnustep-back-art: 0.29.0 bump

Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.29.0.ebuild                 | 82 ++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 2a104cbde5f..54dee1ec82b 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1 +1,2 @@
 DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c
+DIST gnustep-back-0.29.0.tar.gz 1005485 BLAKE2B c117b29ca568d3751b1aa7e0baed49d517e77fb9e7b3ab332e422cac1892b9b33d81f4cce86826e69c65ba73926ae8b7abdcf1022613680f56739f2c5a688b53 SHA512 96efd09d4cd93796fc240e160be22879b6cc600f08c615dd0d349ce9591b91b8d2afbc18332dd03861f70ebcff86de975adf352d006f2b397fcdfcf395261f7f

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
new file mode 100644
index 00000000000..62331cc1831
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnustep-base
+
+DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="http://www.gnustep.org"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	>=gnustep-base/mknfonts-0.5-r1
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	media-fonts/dejavu
+	>=media-libs/freetype-2.1.9
+	>=media-libs/libart_lgpl-2.3
+	opengl? ( virtual/opengl virtual/glu )
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/gnustep-back-${PV}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-06-13 14:16 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2023-06-13 14:16 UTC (permalink / raw
  To: gentoo-commits

commit:     a7d04e7d325d92f1c8fbc8c59ee2ff56894ad013
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sat Jun 10 15:52:10 2023 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Jun 13 14:16:12 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7d04e7d

gnustep-base/gnustep-back-art: update homepage

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild | 4 ++--
 gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
index 073395bd38fb..1f911cb6a817 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 inherit gnustep-base
 
 DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
+HOMEPAGE="https://gnustep.github.io"
 SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index 62331cc1831b..a76c50f385c3 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -1,11 +1,11 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 inherit gnustep-base
 
 DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="http://www.gnustep.org"
+HOMEPAGE="https://gnustep.github.io"
 SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
 
 LICENSE="LGPL-2.1"


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-09-19 20:49 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2023-09-19 20:49 UTC (permalink / raw
  To: gentoo-commits

commit:     d9fdc8ff1432ea7105cdbe992caf9cb1a66a84d0
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Tue Sep 19 17:52:47 2023 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Tue Sep 19 20:48:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9fdc8ff

gnustep-base/gnustep-back-art: EAPI8 bump, fix LICENSE

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 .../gnustep-back-art/gnustep-back-art-0.29.0.ebuild    | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index a76c50f385c3..b082712bb764 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -1,14 +1,16 @@
 # Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=8
+
 inherit gnustep-base
 
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
+DESCRIPTION="Libart_lgpl back-end component for the GNUstep GUI Library"
 HOMEPAGE="https://gnustep.github.io"
 SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+S="${WORKDIR}/gnustep-back-${PV}"
 
-LICENSE="LGPL-2.1"
+LICENSE="LGPL-2.1+"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
@@ -34,7 +36,11 @@ RDEPEND="${GNUSTEP_CORE_DEPEND}
 	!gnustep-base/gnustep-back-xlib"
 DEPEND="${RDEPEND}"
 
-S=${WORKDIR}/gnustep-back-${PV}
+src_prepare() {
+	default
+	# do not compress man pages
+	sed -i '/which gzip/,/&& gzip/d' Tools/GNUmakefile.postamble || die
+}
 
 src_configure() {
 	egnustep_env
@@ -68,8 +74,8 @@ src_compile() {
 src_install() {
 	gnustep-base_src_install
 
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
 }
 
 gnustep_config_script() {


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-09-26  0:54 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-09-26  0:54 UTC (permalink / raw
  To: gentoo-commits

commit:     a358ccb57d342c9990bf22fb8332f6f6284c61e3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 26 00:53:59 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 26 00:53:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a358ccb5

gnustep-base/gnustep-back-art: Stabilize 0.29.0 amd64, #910265

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index b082712bb764..f8f4b68ea6b4 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-11-23 21:53 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2023-11-23 21:53 UTC (permalink / raw
  To: gentoo-commits

commit:     24ba993271f5824a74e897a692add38b1f4b4cf2
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 23 21:32:06 2023 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Thu Nov 23 21:53:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=24ba9932

gnustep-base/gnustep-back-art: add 0.30.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.30.0.ebuild                 | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 54dee1ec82bd..929effc00559 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,2 +1,3 @@
 DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c
 DIST gnustep-back-0.29.0.tar.gz 1005485 BLAKE2B c117b29ca568d3751b1aa7e0baed49d517e77fb9e7b3ab332e422cac1892b9b33d81f4cce86826e69c65ba73926ae8b7abdcf1022613680f56739f2c5a688b53 SHA512 96efd09d4cd93796fc240e160be22879b6cc600f08c615dd0d349ce9591b91b8d2afbc18332dd03861f70ebcff86de975adf352d006f2b397fcdfcf395261f7f
+DIST gnustep-back-0.30.0.tar.gz 1021083 BLAKE2B 23fb48ef14e40bdcc586840ead22126adc4c2998eda7ca5d8d0d4e426b364a87a370b2aad1409023e638f3269f2a94d6fe70d28b383c6c444ea1725ce111df98 SHA512 3d2955228b13cb083ef68a888806e859faa9fe4f3137186e8db48439caf10ac12f7468c7789003d4c2e896eaee60f0659e2cfffb15b4d6079aca9751c27599b7

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild
new file mode 100644
index 000000000000..b082712bb764
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnustep-base
+
+DESCRIPTION="Libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="https://gnustep.github.io"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+S="${WORKDIR}/gnustep-back-${PV}"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	>=gnustep-base/mknfonts-0.5-r1
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	media-fonts/dejavu
+	>=media-libs/freetype-2.1.9
+	>=media-libs/libart_lgpl-2.3
+	opengl? ( virtual/opengl virtual/glu )
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	# do not compress man pages
+	sed -i '/which gzip/,/&& gzip/d' Tools/GNUmakefile.postamble || die
+}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-12-16  1:44 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-12-16  1:44 UTC (permalink / raw
  To: gentoo-commits

commit:     737828a30fbce181cfa09506b67fd9bf01b9c084
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 16 01:43:45 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 01:43:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=737828a3

gnustep-base/gnustep-back-art: Stabilize 0.29.0 sparc, #910265

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index a597d6629ca0..954c25d58bad 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-12-16  1:44 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-12-16  1:44 UTC (permalink / raw
  To: gentoo-commits

commit:     0fc89e35a39104268a6c56305ec22ae3599a086a
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 16 01:43:35 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 01:43:35 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0fc89e35

gnustep-base/gnustep-back-art: Stabilize 0.29.0 ppc, #910265

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index f8f4b68ea6b4..a597d6629ca0 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2023-12-16  1:44 Sam James
  0 siblings, 0 replies; 26+ messages in thread
From: Sam James @ 2023-12-16  1:44 UTC (permalink / raw
  To: gentoo-commits

commit:     d59e7220de59615dd6b1853628752dc42a782ebf
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 16 01:43:52 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 01:43:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d59e7220

gnustep-base/gnustep-back-art: Stabilize 0.29.0 x86, #910265

Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
index 954c25d58bad..df3e518d5e2f 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.29.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2024-01-27 10:09 Ulrich Müller
  0 siblings, 0 replies; 26+ messages in thread
From: Ulrich Müller @ 2024-01-27 10:09 UTC (permalink / raw
  To: gentoo-commits

commit:     ac8e8237ed7c396901bf64ff82dc612996dcfa89
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 13 07:09:48 2024 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Sat Jan 27 10:07:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac8e8237

gnustep-base/gnustep-back-art: drop 0.28.0

Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 -
 .../gnustep-back-art-0.28.0.ebuild                 | 82 ----------------------
 2 files changed, 83 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 929effc00559..6e4b7fd32403 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,3 +1,2 @@
-DIST gnustep-back-0.28.0.tar.gz 973776 BLAKE2B c82792d9c2af45a3a81e1e40c9b0afe7b4dde7846cf4e593ec2f3e816196a321efba2d0d40d14795eed01681845bc6b5d75e8828c689961b6ba2db6de5231568 SHA512 9befc654ec431fe2a23baff2bfe848d7e4f32c58ecee877ca9606ba318ba470493469e28a5b3e37ca132f0f1262219ebd2755c3da7b26fbd1b66dddb1514d25c
 DIST gnustep-back-0.29.0.tar.gz 1005485 BLAKE2B c117b29ca568d3751b1aa7e0baed49d517e77fb9e7b3ab332e422cac1892b9b33d81f4cce86826e69c65ba73926ae8b7abdcf1022613680f56739f2c5a688b53 SHA512 96efd09d4cd93796fc240e160be22879b6cc600f08c615dd0d349ce9591b91b8d2afbc18332dd03861f70ebcff86de975adf352d006f2b397fcdfcf395261f7f
 DIST gnustep-back-0.30.0.tar.gz 1021083 BLAKE2B 23fb48ef14e40bdcc586840ead22126adc4c2998eda7ca5d8d0d4e426b364a87a370b2aad1409023e638f3269f2a94d6fe70d28b383c6c444ea1725ce111df98 SHA512 3d2955228b13cb083ef68a888806e859faa9fe4f3137186e8db48439caf10ac12f7468c7789003d4c2e896eaee60f0659e2cfffb15b4d6079aca9751c27599b7

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
deleted file mode 100644
index 1f911cb6a817..000000000000
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.28.0.ebuild
+++ /dev/null
@@ -1,82 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-inherit gnustep-base
-
-DESCRIPTION="libart_lgpl back-end component for the GNUstep GUI Library"
-HOMEPAGE="https://gnustep.github.io"
-SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0"
-KEYWORDS="~alpha amd64 ppc sparc x86 ~amd64-linux ~x86-linux"
-IUSE="opengl xim"
-
-RDEPEND="${GNUSTEP_CORE_DEPEND}
-	=gnustep-base/gnustep-gui-${PV%.*}*
-	>=gnustep-base/mknfonts-0.5-r1
-	x11-libs/libICE
-	x11-libs/libSM
-	x11-libs/libX11
-	x11-libs/libXext
-	x11-libs/libXi
-	x11-libs/libXmu
-	x11-libs/libXt
-	x11-libs/libXft
-	x11-libs/libXrender
-	media-fonts/dejavu
-	>=media-libs/freetype-2.1.9
-	>=media-libs/libart_lgpl-2.3
-	opengl? ( virtual/opengl virtual/glu )
-
-	!gnustep-base/gnustep-back-cairo
-	!gnustep-base/gnustep-back-xlib"
-DEPEND="${RDEPEND}"
-
-S=${WORKDIR}/gnustep-back-${PV}
-
-src_configure() {
-	egnustep_env
-
-	myconf="$(use_enable opengl glx)"
-	myconf="$myconf $(use_enable xim)"
-	myconf="$myconf --enable-server=x11"
-	myconf="$myconf --enable-graphics=art"
-
-	econf $myconf
-}
-
-src_compile() {
-	gnustep-base_src_compile
-
-	# Create font lists for DejaVu
-	einfo "Generating nfonts support files"
-	(
-		cd Fonts
-		export "${GS_ENV[@]}"
-		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
-			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
-			|| die "nfonts support files creation failed"
-		# Trim whitepsaces
-		for fdir in *\ */; do
-			mv "$fdir" `echo $fdir | tr -d [:space:]`
-		done
-	)
-}
-
-src_install() {
-	gnustep-base_src_install
-
-	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts"
-}
-
-gnustep_config_script() {
-	echo "echo ' * setting normal font to DejaVuSans'"
-	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
-	echo "echo ' * setting bold font to DejaVuSans-Bold'"
-	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
-	echo "echo ' * setting fixed font to DejaVuSansMono'"
-	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
-}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2024-06-22 14:23 Arthur Zamarin
  0 siblings, 0 replies; 26+ messages in thread
From: Arthur Zamarin @ 2024-06-22 14:23 UTC (permalink / raw
  To: gentoo-commits

commit:     18a9b7ecc848fd1318d0bbb78f725469b43e409d
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 22 14:23:11 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sat Jun 22 14:23:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18a9b7ec

gnustep-base/gnustep-back-art: Stabilize 0.30.0 ppc, #934675

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild
index b082712bb764..63b1e19d75fc 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.30.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha ~amd64 ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2024-07-21 21:31 Bernard Cafarelli
  0 siblings, 0 replies; 26+ messages in thread
From: Bernard Cafarelli @ 2024-07-21 21:31 UTC (permalink / raw
  To: gentoo-commits

commit:     2458f2848016ed72c4092c5589c3a2598b46702b
Author:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 21 21:08:39 2024 +0000
Commit:     Bernard Cafarelli <voyageur <AT> gentoo <DOT> org>
CommitDate: Sun Jul 21 21:31:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2458f284

gnustep-base/gnustep-back-art: add 0.31.0

Signed-off-by: Bernard Cafarelli <voyageur <AT> gentoo.org>

 gnustep-base/gnustep-back-art/Manifest             |  1 +
 .../gnustep-back-art-0.31.0.ebuild                 | 88 ++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/gnustep-base/gnustep-back-art/Manifest b/gnustep-base/gnustep-back-art/Manifest
index 6e4b7fd32403..1f0d55a7cfce 100644
--- a/gnustep-base/gnustep-back-art/Manifest
+++ b/gnustep-base/gnustep-back-art/Manifest
@@ -1,2 +1,3 @@
 DIST gnustep-back-0.29.0.tar.gz 1005485 BLAKE2B c117b29ca568d3751b1aa7e0baed49d517e77fb9e7b3ab332e422cac1892b9b33d81f4cce86826e69c65ba73926ae8b7abdcf1022613680f56739f2c5a688b53 SHA512 96efd09d4cd93796fc240e160be22879b6cc600f08c615dd0d349ce9591b91b8d2afbc18332dd03861f70ebcff86de975adf352d006f2b397fcdfcf395261f7f
 DIST gnustep-back-0.30.0.tar.gz 1021083 BLAKE2B 23fb48ef14e40bdcc586840ead22126adc4c2998eda7ca5d8d0d4e426b364a87a370b2aad1409023e638f3269f2a94d6fe70d28b383c6c444ea1725ce111df98 SHA512 3d2955228b13cb083ef68a888806e859faa9fe4f3137186e8db48439caf10ac12f7468c7789003d4c2e896eaee60f0659e2cfffb15b4d6079aca9751c27599b7
+DIST gnustep-back-0.31.0.tar.gz 1030211 BLAKE2B 7d94bf9b70fb3f90c3bab80ef9cf30fd64a192703a0743c56a0d33a2ca12157894172fc27203b8aec44273e9e1dbe87eafe44f8492f4b6ad38cb3e4f71767b68 SHA512 f1174b706044d7c6e343dce004df90c5bfd676833b27963a0372af85b18f7b992735c5eff23031ba65c29f9b60d468c9e016f7c1c57eaccddf3701f5c9c08e13

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
new file mode 100644
index 000000000000..101a16ea5d2f
--- /dev/null
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnustep-base
+
+DESCRIPTION="Libart_lgpl back-end component for the GNUstep GUI Library"
+HOMEPAGE="https://gnustep.github.io"
+SRC_URI="ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-back-${PV}.tar.gz"
+S="${WORKDIR}/gnustep-back-${PV}"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="opengl xim"
+
+RDEPEND="${GNUSTEP_CORE_DEPEND}
+	=gnustep-base/gnustep-gui-${PV%.*}*
+	>=gnustep-base/mknfonts-0.5-r1
+	x11-libs/libICE
+	x11-libs/libSM
+	x11-libs/libX11
+	x11-libs/libXext
+	x11-libs/libXi
+	x11-libs/libXmu
+	x11-libs/libXt
+	x11-libs/libXft
+	x11-libs/libXrender
+	media-fonts/dejavu
+	>=media-libs/freetype-2.1.9
+	>=media-libs/libart_lgpl-2.3
+	opengl? ( virtual/opengl virtual/glu )
+
+	!gnustep-base/gnustep-back-cairo
+	!gnustep-base/gnustep-back-xlib"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+	default
+	# do not compress man pages
+	sed -i '/which gzip/,/&& gzip/d' Tools/GNUmakefile.postamble || die
+}
+
+src_configure() {
+	egnustep_env
+
+	myconf="$(use_enable opengl glx)"
+	myconf="$myconf $(use_enable xim)"
+	myconf="$myconf --enable-server=x11"
+	myconf="$myconf --enable-graphics=art"
+
+	econf $myconf
+}
+
+src_compile() {
+	gnustep-base_src_compile
+
+	# Create font lists for DejaVu
+	einfo "Generating nfonts support files"
+	(
+		cd Fonts
+		export "${GS_ENV[@]}"
+		${GNUSTEP_SYSTEM_TOOLS}/mknfonts \
+			$(fc-list : file|grep -v '\.gz'|cut -d: -f1) \
+			|| die "nfonts support files creation failed"
+		# Trim whitepsaces
+		for fdir in *\ */; do
+			mv "$fdir" `echo $fdir | tr -d [:space:]`
+		done
+	)
+}
+
+src_install() {
+	gnustep-base_src_install
+
+	mkdir -p "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+	cp -pPR Fonts/*.nfont "${D}/${GNUSTEP_SYSTEM_LIBRARY}/Fonts" || die
+}
+
+gnustep_config_script() {
+	echo "echo ' * setting normal font to DejaVuSans'"
+	echo "defaults write NSGlobalDomain NSFont DejaVuSans"
+	echo "echo ' * setting bold font to DejaVuSans-Bold'"
+	echo "defaults write NSGlobalDomain NSBoldFont DejaVuSans-Bold"
+	echo "echo ' * setting fixed font to DejaVuSansMono'"
+	echo "defaults write NSGlobalDomain NSUserFixedPitchFont DejaVuSansMono"
+}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2024-09-10 18:41 Arthur Zamarin
  0 siblings, 0 replies; 26+ messages in thread
From: Arthur Zamarin @ 2024-09-10 18:41 UTC (permalink / raw
  To: gentoo-commits

commit:     c899c3bd224072a7a666b501c59bbdfa8ebfe6c7
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 18:40:51 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 18:40:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c899c3bd

gnustep-base/gnustep-back-art: Stabilize 0.31.0 amd64, #938698

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
index 101a16ea5d2f..d25caec65178 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha ~amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/
@ 2024-09-10 18:41 Arthur Zamarin
  0 siblings, 0 replies; 26+ messages in thread
From: Arthur Zamarin @ 2024-09-10 18:41 UTC (permalink / raw
  To: gentoo-commits

commit:     bfc6453692c27078a1c2ba437e545ef30e915ec5
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 10 18:40:57 2024 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Tue Sep 10 18:40:57 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bfc64536

gnustep-base/gnustep-back-art: Stabilize 0.31.0 x86, #938698

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
index d25caec65178..66ba6d1bc449 100644
--- a/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
+++ b/gnustep-base/gnustep-back-art/gnustep-back-art-0.31.0.ebuild
@@ -12,7 +12,7 @@ S="${WORKDIR}/gnustep-back-${PV}"
 
 LICENSE="LGPL-2.1+"
 SLOT="0"
-KEYWORDS="~alpha amd64 ~ppc ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~ppc ~sparc x86 ~amd64-linux ~x86-linux"
 IUSE="opengl xim"
 
 RDEPEND="${GNUSTEP_CORE_DEPEND}


^ permalink raw reply related	[flat|nested] 26+ messages in thread

end of thread, other threads:[~2024-09-10 18:41 UTC | newest]

Thread overview: 26+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-02 22:45 [gentoo-commits] repo/gentoo:master commit in: gnustep-base/gnustep-back-art/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-09-10 18:41 Arthur Zamarin
2024-09-10 18:41 Arthur Zamarin
2024-07-21 21:31 Bernard Cafarelli
2024-06-22 14:23 Arthur Zamarin
2024-01-27 10:09 Ulrich Müller
2023-12-16  1:44 Sam James
2023-12-16  1:44 Sam James
2023-12-16  1:44 Sam James
2023-11-23 21:53 Bernard Cafarelli
2023-09-26  0:54 Sam James
2023-09-19 20:49 Bernard Cafarelli
2023-06-13 14:16 Bernard Cafarelli
2021-06-03 21:22 Bernard Cafarelli
2021-01-04 12:53 Bernard Cafarelli
2021-01-04  3:34 Sam James
2021-01-02 22:49 Sam James
2021-01-02 21:10 Sam James
2020-07-21 23:15 Kent Fredric
2020-05-09 14:25 Bernard Cafarelli
2019-01-14 16:12 Bernard Cafarelli
2018-01-09 16:27 Bernard Cafarelli
2017-04-24 14:07 Bernard Cafarelli
2017-03-20 13:40 Bernard Cafarelli
2017-01-13 15:13 Agostino Sarubbo
2016-07-20 12:03 Bernard Cafarelli

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox